rte_swx_port_ethdev.h(3)

NAME
rte_swx_port_ethdev.h

SYNOPSIS

#include <stdint.h>
#include 'rte_swx_port.h'

  Data Structures

struct rte_swx_port_ethdev_reader_params
struct rte_swx_port_ethdev_writer_params

  Variables

struct rte_swx_port_in_ops rte_swx_port_ethdev_reader_ops
struct rte_swx_port_out_ops rte_swx_port_ethdev_writer_ops

Detailed Description

RTE SWX Ethernet Device Input and Output Ports

Definition in file rte_swx_port_ethdev.h.

Variable Documentation

  struct rte_swx_port_in_ops rte_swx_port_ethdev_reader_ops [extern]
Ethernet device reader operations.

  struct rte_swx_port_out_ops rte_swx_port_ethdev_writer_ops [extern]
Ethernet device writer operations.

Author

Generated automatically by Doxygen for DPDK from the source code.